| Home | Libraries | People | FAQ | More

###### value::as_double (1 of 2 overloads)

Return a reference to the underlying `double`, or throw an exception.

###### Synopsis

    double&
    as_double();

###### Description

If `is_double()` is `true`, returns a reference to the underlying `double`, otherwise throws an exception.

###### Complexity

Constant.

###### Exception Safety

Strong guarantee.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `! this->is_double()`